proc plan seed=120410;        /*指定种子数为120409，以便以后可以重现*/
factors rand=24 random;       /*产生随机排列的1-24的数*/
output out=outa;               /*将随机排列的24个数输出到数据集outa*/
data outb;                      /*建立数据集outb*/
set outa;                       /*用set语句将数据集outa中的数据导入outb*/
if rand<=12 then group='A';   
else group='B';
/*在1-48的数据中，指定1-12号分入A组，13-24号分入B组*/
num=_n_;
/*产生变量num，其值等于数据的顺序号，也即研究对象的1-24的编号*/
proc print;                 /*将随机数字、分组标志、研究对象编号同时列出*/
run;
